# `PhoenixKitWeb.Components.Core.SimpleForm`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/simple_form.ex#L1)

Provides a simple form UI component.

# `simple_form`

Renders a simple form.

## Examples

    <.simple_form for={@form} phx-submit="save">
      <.input field={@form[:email]} type="email" label="Email"/>
      <.input field={@form[:password]} type="password" label="Password" />
      <:actions>
        <.button>Save</.button>
      </:actions>
    </.simple_form>

## Attributes

* `for` (`:any`) (required) - the datastructure for the form.
* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.
* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `["autocomplete", "name", "rel", "action", "enctype", "method", "novalidate", "target", "multipart"]`.
## Slots

* `inner_block` (required)
* `actions` - the slot for form actions, such as a submit button.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
